Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfValueFormulaDisplayType

    java.lang.Object
      java.lang.Enum<OdfValueFormulaDisplayType>
          org.odftoolkit.odfdom.dom.type.text.OdfValueFormulaDisplayType

All Implemented Interfaces:
  Serializable, Comparable<OdfValueFormulaDisplayType>

    public enum OdfValueFormulaDisplayType

extends Enum<OdfValueFormulaDisplayType>

DOM implementation of OpenDocument attribute text:display.

Enum Constant Summary
`FORMULA`
`VALUE`

Method Summary
`static OdfValueFormulaDisplayType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfValueFormulaDisplayType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfValueFormulaDisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfValueFormulaDisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORMULA

    public static final OdfValueFormulaDisplayType FORMULA

### VALUE

    public static final OdfValueFormulaDisplayType VALUE

Method Detail

### values

    public static OdfValueFormulaDisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfValueFormulaDisplayType c : OdfValueFormulaDisplayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfValueFormulaDisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfValueFormulaDisplayType>`
  Returns:
    return the name of OdfValueFormulaDisplayType

### toString

    public static String toString(OdfValueFormulaDisplayType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfValueFormulaDisplayType, see text:display
  Returns:
    return the name of OdfValueFormulaDisplayType

### enumValueOf

    public static OdfValueFormulaDisplayType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfValueFormulaDisplayType
  Returns:
    return the constant of OdfValueFormulaDisplayType, see text:display

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.